#!/bin/bash
set -xue

translate() {
    pgm=$1
    lang=$2
    po="po/$lang/$pgm.po"
    mo="po/$lang/$pgm.mo"
    mkdir -p "po/$lang"
    echo "Translate \"$pgm\" to \"$lang\""
    xgettext -L shell --no-wrap "$pgm" -o "${po}t"
    if [ -f "$po" ]  ; then
        msgmerge -U "$po" "${po}t"
    else
        cp "${po}t" "$po"
    fi
    sed -i -e 's~^\s*"Content-Type:\s*text/plain;\s*charset\s*=\s*CHARSET\s*\\n"~"Content-Type: text/plain; charset=UTF-8\\n"~' "$po"
    nano "$po"
    msgfmt "$po" -o "$mo"
}

translate "astra-nvidia-install"   "ru"
translate "astra-nvidia-uninstall" "ru"


